ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
LibItsCam__TestSystem::CamPort Class Reference

`#include <CamPort.hh>`

Inheritance diagram for LibItsCam__TestSystem::CamPort:

## Public Member Functions
| CamPort (const char *par_port_name=NULL)
| ~CamPort ()
void | set_parameter (const char *parameter_name, const char *parameter_value)
void | receiveMsg (const LibItsCam__TestSystem::CamInd &, const Params &)

## Protected Member Functions
void | user_map (const char *system_port)
void | user_unmap (const char *system_port)
void | user_start ()
void | user_stop ()
void | outgoing_send (const CamReq &send_par)

## Private Member Functions
void | Handle_Fd_Event_Error (int fd)
void | Handle_Fd_Event_Writable (int fd)
void | Handle_Fd_Event_Readable (int fd)

## Private Attributes
Params | _cfg_params
Params | _layer_params
layer * | _layer
std::string | _time_key

## Constructor & Destructor Documentation

## ◆ CamPort()

LibItsCam__TestSystem::CamPort::CamPort | ( | const char * | par_port_name = `NULL` | ) |

## ◆ ~CamPort()

LibItsCam__TestSystem::CamPort::~CamPort | ( |  | ) |

## Member Function Documentation

## ◆ Handle_Fd_Event_Error()

void LibItsCam__TestSystem::CamPort::Handle_Fd_Event_Error | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Readable()

void LibItsCam__TestSystem::CamPort::Handle_Fd_Event_Readable | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Writable()

void LibItsCam__TestSystem::CamPort::Handle_Fd_Event_Writable | ( | int | fd | ) |
| private

## ◆ outgoing_send()

void LibItsCam__TestSystem::CamPort::outgoing_send | ( | const CamReq & | send_par | ) |
| protected

## ◆ receiveMsg()

void LibItsCam__TestSystem::CamPort::receiveMsg | ( | const LibItsCam__TestSystem::CamInd & | p_ind,
|  | const Params & | p_params
| ) |  |

## ◆ set_parameter()

void LibItsCam__TestSystem::CamPort::set_parameter | ( | const char * | parameter_name,
|  | const char * | parameter_value
| ) |  |

## ◆ user_map()

void LibItsCam__TestSystem::CamPort::user_map | ( | const char * | system_port | ) |
| protected

## ◆ user_start()

void LibItsCam__TestSystem::CamPort::user_start | ( |  | ) |
| protected

## ◆ user_stop()

void LibItsCam__TestSystem::CamPort::user_stop | ( |  | ) |
| protected

## ◆ user_unmap()

void LibItsCam__TestSystem::CamPort::user_unmap | ( | const char * | system_port | ) |
| protected

## Member Data Documentation

## ◆ _cfg_params

Params LibItsCam__TestSystem::CamPort::_cfg_params
| private

## ◆ _layer

layer* LibItsCam__TestSystem::CamPort::_layer
| private

## ◆ _layer_params

Params LibItsCam__TestSystem::CamPort::_layer_params
| private

## ◆ _time_key

std::string LibItsCam__TestSystem::CamPort::_time_key
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/include/CamPort.hh
- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/src/CamPort.cc